
Name:		PySolFC
Version:	2.0
Release:	%mkrel 14
Summary:	A Python solitaire game collection
Source0:	http://downloads.sourceforge.net/pysolfc/%{name}-%{version}.tar.bz2
Patch1:     PySolFC-pillow.patch
License:	GPLv3+
Group:		Games/Cards
URL:		http://pysolfc.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-setuptools
Requires:	tkinter
Requires:	python-imaging
Requires:	python-pillow-tk
Requires:	pygame
Suggests:	PySolFC-cardsets
Suggests:	freecell-solver
Provides:	pysol = %{version}-%{release}
Obsoletes:	pysol

%description
PySolFC is a collection of more than 1000 solitaire card games.
Its features include modern look and feel (uses Tile widget set), multiple
card-sets and tableau backgrounds, sound, unlimited undo, player statistics,
a hint system, demo games, a solitaire wizard, support for user written
plug-ins, an integrated HTML help browser, and lots of documentation.

%prep
%setup -q
%patch1 -p1 -b .pillow

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %{__python} setup.py install --skip-build --root=%{buildroot}

# Hack to put /usr/bin/pysol.py as /usr/games pysol
mkdir -p %{buildroot}/%{_gamesbindir}
%define pysol_bin_path %{_gamesbindir}/pysol
%define pysol_orig_path %{_bindir}/pysol.py
mv %{buildroot}/%{pysol_orig_path} %{buildroot}/%{pysol_bin_path}

sed -i -e 's#Exec=.*#Exec=%{_gamesbindir}/pysol#' %{buildroot}%_datadir/applications/pysol.desktop

%find_lang pysol

%clean
rm -rf %{buildroot}

%files -f pysol.lang
%defattr(-,root,root)
%doc COPYING README
%{_gamesbindir}/*
%{py_puresitedir}/*
%{_datadir}/%name
%{_datadir}/applications/pysol.desktop
%{_iconsdir}/*.png
%{_datadir}/pixmaps/*




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.0-14.mga4
+ Revision: 542480
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 2.0-13.mga4
+ Revision: 497631
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Sep 09 2013 shlomif <shlomif> 2.0-12.mga4
+ Revision: 476695
- New release for using Python-Pillow instead of PIL

* Fri Jan 11 2013 umeabot <umeabot> 2.0-11.mga3
+ Revision: 345076
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 13 2011 philippem <philippem> 2.0-10.mga1
+ Revision: 70738
- imported package PySolFC


* Sun Mar 13 2011 Philippe Makowski <makowski.mageia@gmail.com> 2.0-10mga1
- import from Mandriva
- Provides: pysol since PySolFC is almost a drop-in replacement for
  the now unmaintained pysol

* Sun Dec 19 2010 Shlomi Fish <shlomif@mandriva.org> 2.0-9mdv2011.0
+ Revision: 623151
- Now suggesting freecell-solver

* Mon Nov 01 2010 Shlomi Fish <shlomif@mandriva.org> 2.0-8mdv2011.0
+ Revision: 591520
- New release for new python and also suggesting the cardsets package

* Sun Sep 19 2010 Funda Wang <fwang@mandriva.org> 2.0-7mdv2011.0
+ Revision: 579772
- fix desktop file (mdv#57687)

* Fri Jul 09 2010 Shlomi Fish <shlomif@mandriva.org> 2.0-6mdv2011.0
+ Revision: 549896
- Add missing tkiner and python-imaging dependencies

* Wed May 05 2010 Funda Wang <fwang@mandriva.org> 2.0-5mdv2010.1
+ Revision: 542300
- update file list to reflect pyc removal

* Mon Feb 15 2010 Shlomi Fish <shlomif@mandriva.org> 2.0-4mdv2010.1
+ Revision: 506356
- Add BuildRequires on python-devel and python-setuptools
- Fixed the Vendor field and moved to the group Games/Cards
- Add an obsoletes field for the original (and no longer maintained) PySol
- import PySolFC


* Sat Dec 05 2009 Shlomi Fish <shlomif@iglu.org.il> 2.0-1mdv
+ Generated from python setup.py bdist_rpm .
+ Hack to put /usr/bin/pysol.py under /usr/games/pysol .
+ Fixed the rpmlint problems.

